Pular para o conteúdo principal
PUT
/
crm
/
objects
/
2026-03
/
{fromObjectType}
/
{fromObjectId}
/
associations
/
default
/
{toObjectType}
/
{toObjectId}
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{fromObjectType}/{fromObjectId}/associations/default/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "associationSpec": {
        "associationCategory": "HUBSPOT_DEFINED",
        "associationTypeId": 123
      },
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

fromObjectId
string
obrigatório
fromObjectType
string
obrigatório
toObjectId
string
obrigatório
toObjectType
string
obrigatório

Resposta

successful operation

The response returned after performing a batch operation on associations.

completedAt
string<date-time>
obrigatório

The timestamp when the batch process was completed, in ISO 8601 format.

results
object[]
obrigatório
startedAt
string<date-time>
obrigatório

The timestamp when the batch process began execution, in ISO 8601 format.

status
enum<string>
obrigatório

The status of the batch processing request. Can be: "PENDING", "PROCESSING", "CANCELED", or "COMPLETE".

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An object containing relevant links related to the batch request.

numErrors
integer<int32>

The total number of errors that occurred during the operation.

requestedAt
string<date-time>

The timestamp when the batch process was initiated, in ISO 8601 format.

Last modified on April 13, 2026